# Tts 1 Hd

## tts-1-hd

> TTS is a model that converts text to natural sounding spoken text. The tts-1-hd model is optimized for high quality text-to-speech use cases.

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"tts-1-hd"}],"servers":[{"url":"https://audio.onerouter.pro/v1","description":"audio"}],"security":[],"paths":{"/audio/speech":{"post":{"summary":"tts-1-hd","deprecated":false,"description":"TTS is a model that converts text to natural sounding spoken text. The tts-1-hd model is optimized for high quality text-to-speech use cases.","tags":["tts-1-hd"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"input":{"type":"string","description":"The text to generate audio for.","maxLength":4096},"voice":{"type":"string","description":"The voice to use when generating the audio. Supported voices are `alloy`, `ash`, `ballad`, `coral`, `echo`, `fable`, `onyx`, `nova`, `sage`, `shimmer`, and `verse`. ","enum":["alloy","ash","ballad","coral","echo","fable","onyx","nova","sage","shimmer","verse"]},"response_format":{"type":"string","description":"The format to audio in. Supported formats are `mp3`, `opus`, `aac`, `flac`, `wav`, and `pcm`.","enum":["mp3","opus","aac","flac","wav","pcm"],"default":"mp3"},"speed":{"type":"number","description":"The speed of the generated audio. Select a value from 0.25 to 4.0. 1.0 is the default.","default":1,"minimum":0.25,"maximum":4},"stream_format":{"type":"string","description":"The format to stream the audio in. Supported formats are `audio`.","default":"audio"}},"required":["model","input","voice"]}}}},"responses":{"200":{"description":"The audio file content.","content":{"application/octet-stream":{"schema":{"type":"object","properties":{}}}},"headers":{}}}}}}}
```
